<?php 
function calc($pcant, $piva=7){
$total = $pcant * $piva /100;
return $total;
}
if(!empty($_POST[iva]))
$miiva = calc($_POST[cantidad],$_POST[iva]) ;
else
$miiva = calc($_POST[cantidad]);
?>

<form name="form1" method="post" action="ejemplo1.php">
  <fieldset><legend>Calcular iva</legend>
  Cantidad  <input type="text" name="cantidad" value="<?php echo $_POST[cantidad];?>"/>
  IVA(introducir si no es 7%)  <input name="iva" type="text" size="4" value="<?php echo $_POST[iva]; ?>"/>
  = Resultado <input name="resultado" type="text" value="<?php echo $miiva ?>"/> 
    <input type="submit" value="calcular" />
  </fieldset>
</form>